4Suite™ API Documentation

# ► Module Ft.Xml.Xslt.TextSax

Components for reading Text files from a SAX-like producer. WWW: http://4suite.org/4DOM e-mail: support@4suite.org
Copyright (c) 1999-2001 Fourthought Inc, USA. All Rights Reserved.
See http://4suite.org/COPYRIGHT for license and copyright information

Classes: TextGenerator

## Classes

class TextGenerator

### Methods

__init__(self, keepAllWs=0)
characters(self, ch, start, length)
endElement(self, name)
error(self, exception)
fatalError(self, exception)
getRootNode(self)
ignorableWhitespace(self, ch, start, length)
If 'keepAllWs' permits, add ignorable white-space as a text node. Remember that a Document node cannot contain text nodes directly. If the white-space occurs outside the root element, there is no place for it in the DOM and it must be discarded.
startElement(self, name, attribs)